The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> wcslen - get wide-character string length

#### SYNOPSIS

> ``#include <wchar.h>
> size_t wcslen(const wchar_t *`ws`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> The wcslen() function shall compute the number of wide-character codes in the wide-character string to which ws points, not including the terminating null wide-character code.

#### RETURN VALUE

> The wcslen() function shall return the length of ws; no return value is reserved to indicate an error.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> The Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

#### CHANGE HISTORY

> First released in Issue 4. Derived from the MSE working draft.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]